Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Get VPC Details

Returns a single VPC. While the VPC is still Creating, this endpoint also refreshes its status.

GET/vpc/{vpc_id}/

Path parameters

  • vpc_idPathintegerrequired

    VPC ID

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Responses

200VPC details
object
codeinteger
example200
dataobject
errorsobject
messagestring
exampleSuccess
404VPC not found
object
codeinteger
example404
dataobject
errorsobject
messagestring
exampleVPC not found.